# Typedef

Static Public Summary
public | AccountBalancePair: Object Pair of an account address and its balance |
public | AccountInfo: Object Information describing an account |
public | AccountMeta: Object Account metadata used to define instructions |
public | AdvanceNonceParams: Object Advance nonce account system instruction params |
public | AllocateParams: Object Allocate account system transaction params |
public | AllocateWithSeedParams: Object Allocate account with seed system transaction params |
public | AssignParams: Object Assign system transaction params |
public | AssignWithSeedParams: Object Assign account with seed system transaction params |
public | AuthorizeNonceParams: Object Authorize nonce account system transaction params |
public | AuthorizeStakeParams: Object Authorize stake instruction params |
public | AuthorizeWithSeedStakeParams: Object Authorize stake instruction params using a derived key |
public | Blockhash: string |

public

Commitment: 'max' | 'recent' | 'root' | 'single' | 'singleGossip'

The level of commitment desired when querying state

      'max':    Query the most recent block which has been finalized by the cluster
      'recent': Query the most recent block which has reached 1 confirmation by the connected node
      'root':   Query the most recent block which has been rooted by the connected node
      'single': Query the most recent block which has reached 1 confirmation by the cluster
      'singleGossip': Query the most recent block which has reached 1 confirmation according to votes seen in gossip

public | CompiledInstruction: Object An instruction to execute by a program |
public | ConfirmOptions: Object Options for confirming transactions |
public | ConfirmedBlock: Object A ConfirmedBlock on the ledger |
public | ConfirmedSignatureInfo: Object A confirmed signature with its status |
public | ConfirmedSignaturesForAddress2Options: Object Options for getConfirmedSignaturesForAddress2 |
public | ConfirmedTransaction: Object A confirmed transaction on the ledger |
public | ConfirmedTransactionMeta: Object Metadata for a confirmed transaction on the ledger |
public | ContactInfo: Object Information describing a cluster node |
public | Context: Object Extra contextual information for RPC responses |
public | CreateAccountParams: Object Create account system transaction params |
public | CreateAccountWithSeedParams: Object Create account with seed system transaction params |
public | CreateNonceAccountParams: Object Create nonce account system transaction params |
public | CreateNonceAccountWithSeedParams: Object Create nonce account with seed system transaction params |
public | CreateSecp256k1InstructionWithPrivateKeyParams: Object Create a Secp256k1 instruction using a private key params |
public | CreateSecp256k1InstructionWithPublicKeyParams: Object Create a Secp256k1 instruction using a public key params |
public | CreateStakeAccountParams: Object Create stake account transaction params |
public | CreateStakeAccountWithSeedParams: Object Create stake account with seed transaction params |
public | DeactivateStakeParams: Object Deactivate stake instruction params |
public | DelegateStakeParams: Object Delegate stake instruction params |
public | EpochInfo: Object Information about the current epoch |
public | EpochSchedule: Object Epoch schedule (see https://docs.solana.com/terminology#epoch) |
public | FeeCalculator: Object |
public | GetLargestAccountsConfig: Object Configuration object for changing `getLargestAccounts` query behavior |
public | InflationGovernor: Object Network Inflation (see https://docs.solana.com/implemented-proposals/ed_overview) |
public | Info: Object Info used to identity validators. |
public | InitializeNonceParams: Object Initialize nonce account system instruction params |
public | InitializeStakeParams: Object Initialize stake instruction params |
public | InstructionType: Object |
public | KeyedAccountInfo: Object Account information identified by pubkey |

public

LargestAccountsFilter: 'circulating' | 'nonCirculating'

Filter for largest accounts query

      'circulating':    Return the largest accounts that are part of the circulating supply
      'nonCirculating': Return the largest accounts that are not part of the circulating supply

public | LeaderSchedule: Object Leader schedule (see https://docs.solana.com/terminology#leader-schedule) |
public | MessageArgs: Object Message constructor arguments |
public | MessageHeader: Object The message header, identifying signed and read-only account |
public | NonceInformation: Object NonceInformation to be used to build a Transaction. |
public | ParsedAccountData: Object Parsed account data |
public | ParsedConfirmedTransaction: Object A parsed and confirmed transaction on the ledger |
public | ParsedConfirmedTransactionMeta: Object Metadata for a parsed confirmed transaction on the ledger |
public | ParsedInstruction: Object A parsed transaction instruction |
public | ParsedMessage: Object A parsed transaction message |
public | ParsedMessageAccount: Object A partially decoded transaction instruction |
public | ParsedMessageAccount: Object A parsed transaction message account |
public | ParsedTransaction: Object A parsed transaction |
public | PerfSample: Object A performance sample |
public | RpcResponseAndContext: Object RPC Response with extra contextual information |
public | SendOptions: Object Options for sending transactions |
public | SerializeConfig: Object Configuration object for Transaction.serialize() |
public | SignatureResult: Object Signature result |
public | SignatureStatus: Object Signature status |
public | SignatureStatusConfig: Object Configuration object for changing query behavior |
public | SlotInfo: Object Information about the latest slot being processed by a node |
public | SplitStakeParams: Object Split stake instruction params |
public | StakeActivationData: Object Stake Activation data |
public | StakeAuthorizationType: Object |
public | StakeInstructionType: 'Initialize' | 'Authorize' | 'AuthorizeWithSeed' | 'Delegate' | 'Split' | 'Withdraw' | 'Deactivate' An enumeration of valid StakeInstructionType's |
public | Supply: Object Supply |
public | SystemInstructionType: 'Create' | 'Assign' | 'Transfer' | 'CreateWithSeed' | 'AdvanceNonceAccount' | 'WithdrawNonceAccount' | 'InitializeNonceAccount' | 'AuthorizeNonceAccount' An enumeration of valid SystemInstructionType's |
public | TokenAccountBalancePair: Object Token address and balance. |
public | TokenAmount: Object Token amount object which returns a token amount in different formats for various client use cases. |
public | TransactionCtorFields: Object List of Transaction object fields that may be initialized at construction |
public | TransactionError: Object Transaction error |
public | TransactionInstructionCtorFields: Object List of TransactionInstruction object fields that may be initialized at construction |
public | TransactionSignature: string |
public | TransferParams: Object Transfer system transaction params |
public | TransferWithSeedParams: Object Transfer with seed system transaction params |
public | Version: Object Version info for a node |
public | VoteAccountInfo: Object Information describing a vote account |
public | VoteAccountStatus: Object A collection of cluster vote accounts |
public | WithdrawNonceParams: Object Withdraw nonce account system transaction params |
public | WithdrawStakeParams: Object Withdraw stake instruction params |

## Static Public

### public AccountBalancePair: Object source

Pair of an account address and its balance

#### Properties:

Name | Type | Attribute | Description
address | PublicKey |  |
lamports | number |  |

### public AccountInfo: Object source

Information describing an account

#### Properties:

Name | Type | Attribute | Description
lamports | number |  | Number of lamports assigned to the account
owner | PublicKey |  | Identifier of the program that owns the account
data | T |  | Optional data assigned to the account
executable | boolean |  | `true` if this account's data contains a loaded program

### public AccountMeta: Object source

Account metadata used to define instructions

#### Properties:

Name | Type | Attribute | Description
pubkey | PublicKey |  | An account's public key
isSigner | boolean |  | True if an instruction requires a transaction signature matching `pubkey`
isWritable | boolean |  | True if the `pubkey` can be loaded as a read-write account.

### public AdvanceNonceParams: Object source

Advance nonce account system instruction params

#### Properties:

Name | Type | Attribute | Description
noncePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |

### public AllocateParams: Object source

Allocate account system transaction params

#### Properties:

Name | Type | Attribute | Description
accountPubkey | PublicKey |  |
space | number |  |

### public AllocateWithSeedParams: Object source

Allocate account with seed system transaction params

#### Properties:

Name | Type | Attribute | Description
accountPubkey | PublicKey |  |
basePubkey | PublicKey |  |
seed | string |  |
space | number |  |
programId | PublicKey |  |

### public AssignParams: Object source

Assign system transaction params

#### Properties:

Name | Type | Attribute | Description
accountPubkey | PublicKey |  |
programId | PublicKey |  |

### public AssignWithSeedParams: Object source

Assign account with seed system transaction params

#### Properties:

Name | Type | Attribute | Description
accountPubkey | PublicKey |  |
basePubkey | PublicKey |  |
seed | string |  |
programId | PublicKey |  |

### public AuthorizeNonceParams: Object source

Authorize nonce account system transaction params

#### Properties:

Name | Type | Attribute | Description
noncePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
newAuthorizedPubkey | PublicKey |  |

### public AuthorizeStakeParams: Object source

Authorize stake instruction params

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
newAuthorizedPubkey | PublicKey |  |
stakeAuthorizationType | StakeAuthorizationType |  |
custodianPubkey | PublicKey |  |

### public AuthorizeWithSeedStakeParams: Object source

Authorize stake instruction params using a derived key

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorityBase | PublicKey |  |
authoritySeed | string |  |
authorityOwner | PublicKey |  |
newAuthorizedPubkey | PublicKey |  |
stakeAuthorizationType | StakeAuthorizationType |  |
custodianPubkey | PublicKey |  |

### public Blockhash: string source

### public Commitment: 'max' | 'recent' | 'root' | 'single' | 'singleGossip' source

The level of commitment desired when querying state

      'max':    Query the most recent block which has been finalized by the cluster
      'recent': Query the most recent block which has reached 1 confirmation by the connected node
      'root':   Query the most recent block which has been rooted by the connected node
      'single': Query the most recent block which has reached 1 confirmation by the cluster
      'singleGossip': Query the most recent block which has reached 1 confirmation according to votes seen in gossip

### public CompiledInstruction: Object source

An instruction to execute by a program

#### Properties:

Name | Type | Attribute | Description
programIdIndex | number |  | Index into the transaction keys array indicating the program account that executes this instruction
accounts | number[] |  | Ordered indices into the transaction keys array indicating which accounts to pass to the program
data | string |  | The program input data encoded as base 58

### public ConfirmOptions: Object source

Options for confirming transactions

#### Properties:

Name | Type | Attribute | Description
skipPreflight | boolean | undefined |  | disable transaction verification step
commitment | Commitment | undefined |  | desired commitment level
preflightCommitment | Commitment | undefined |  | preflight commitment level

### public ConfirmedBlock: Object source

A ConfirmedBlock on the ledger

#### Properties:

Name | Type | Attribute | Description
blockhash | Blockhash |  | Blockhash of this block
previousBlockhash | Blockhash |  | Blockhash of this block's parent
parentSlot | number |  | Slot index of this block's parent
transactions | Array<object> |  | Vector of transactions and status metas
rewards | Array<object> |  | Vector of block rewards

### public ConfirmedSignatureInfo: Object source

A confirmed signature with its status

#### Properties:

Name | Type | Attribute | Description
signature | string |  | the transaction signature
slot | number |  | when the transaction was processed
err | TransactionError | null |  | error, if any
memo | string | null |  | memo associated with the transaction, if any
blockTime | number | null | undefined |  | The unix timestamp of when the transaction was processed

### public ConfirmedSignaturesForAddress2Options: Object source

Options for getConfirmedSignaturesForAddress2

#### Properties:

Name | Type | Attribute | Description
before | TransactionSignature | undefined |  | start searching backwards from this transaction signature. If not provided the search starts from the highest max confirmed block.
limit | number | undefined |  | maximum transaction signatures to return (between 1 and 1,000, default: 1,000).

### public ConfirmedTransaction: Object source

A confirmed transaction on the ledger

#### Properties:

Name | Type | Attribute | Description
slot | number |  | The slot during which the transaction was processed
transaction | Transaction |  | The details of the transaction
meta | ConfirmedTransactionMeta | null |  | Metadata produced from the transaction
blockTime | number | null | undefined |  | The unix timestamp of when the transaction was processed

### public ConfirmedTransactionMeta: Object source

Metadata for a confirmed transaction on the ledger

#### Properties:

Name | Type | Attribute | Description
fee | number |  | The fee charged for processing the transaction
innerInstructions | Array<CompiledInnerInstruction> |  | An array of cross program invoked instructions
preBalances | Array<number> |  | The balances of the transaction accounts before processing
postBalances | Array<number> |  | The balances of the transaction accounts after processing
logMessages | Array<string> |  | An array of program log messages emitted during a transaction
preTokenBalances | Array<TokenBalance> |  | The token balances of the transaction accounts before processing
postTokenBalances | Array<TokenBalance> |  | The token balances of the transaction accounts after processing
err | object | null |  | The error result of transaction processing

### public ContactInfo: Object source

Information describing a cluster node

#### Properties:

Name | Type | Attribute | Description
pubkey | string |  | Identity public key of the node
gossip | string | null |  | Gossip network address for the node
tpu | string | null |  | TPU network address for the node (null if not available)
rpc | string | null |  | JSON RPC network address for the node (null if not available)
version | string | null |  | Software version of the node (null if not available)

### public Context: Object source

Extra contextual information for RPC responses

#### Properties:

Name | Type | Attribute | Description
slot | number |  |

### public CreateAccountParams: Object source

Create account system transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
newAccountPubkey | PublicKey |  |
lamports | number |  |
space | number |  |
programId | PublicKey |  |

### public CreateAccountWithSeedParams: Object source

Create account with seed system transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
newAccountPubkey | PublicKey |  |
basePubkey | PublicKey |  |
seed | string |  |
lamports | number |  |
space | number |  |
programId | PublicKey |  |

### public CreateNonceAccountParams: Object source

Create nonce account system transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
noncePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
lamports | number |  |

### public CreateNonceAccountWithSeedParams: Object source

Create nonce account with seed system transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
noncePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
basePubkey | PublicKey |  |
seed | string |  |
lamports | number |  |

### public CreateSecp256k1InstructionWithPrivateKeyParams: Object source

Create a Secp256k1 instruction using a private key params

#### Properties:

Name | Type | Attribute | Description
privateKey | Buffer | Uint8Array | Array<number> |  |
message | Buffer | Uint8Array | Array<number> |  |

### public CreateSecp256k1InstructionWithPublicKeyParams: Object source

Create a Secp256k1 instruction using a public key params

#### Properties:

Name | Type | Attribute | Description
publicKey | Buffer | Uint8Array | Array<number> |  |
message | Buffer | Uint8Array | Array<number> |  |
signature | Buffer | Uint8Array | Array<number> |  |
recoveryId | number |  |

### public CreateStakeAccountParams: Object source

Create stake account transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
stakePubkey | PublicKey |  |
authorized | Authorized |  |
lockup | Lockup |  |
lamports | number |  |

### public CreateStakeAccountWithSeedParams: Object source

Create stake account with seed transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
stakePubkey | PublicKey |  |
basePubkey | PublicKey |  |
seed | string |  |
authorized | Authorized |  |
lockup | Lockup |  |
lamports | number |  |

### public DeactivateStakeParams: Object source

Deactivate stake instruction params

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |

### public DelegateStakeParams: Object source

Delegate stake instruction params

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
votePubkey | PublicKey |  |

### public EpochInfo: Object source

Information about the current epoch

#### Properties:

Name | Type | Attribute | Description
epoch | number |  |
slotIndex | number |  |
slotsInEpoch | number |  |
absoluteSlot | number |  |
blockHeight | number |  |
transactionCount | number |  |

### public EpochSchedule: Object source

Epoch schedule (see https://docs.solana.com/terminology#epoch)

#### Properties:

Name | Type | Attribute | Description
slotsPerEpoch | number |  | The maximum number of slots in each epoch
leaderScheduleSlotOffset | number |  | The number of slots before beginning of an epoch to calculate a leader schedule for that epoch
warmup | boolean |  | Indicates whether epochs start short and grow
firstNormalEpoch | number |  | The first epoch with `slotsPerEpoch` slots
firstNormalSlot | number |  | The first slot of `firstNormalEpoch`

### public FeeCalculator: Object source

#### Properties:

Name | Type | Attribute | Description
lamportsPerSignature | number |  | lamports Cost in lamports to validate a signature

### public GetLargestAccountsConfig: Object source

Configuration object for changing `getLargestAccounts` query behavior

#### Properties:

Name | Type | Attribute | Description
commitment | Commitment | undefined |  | The level of commitment desired
filter | LargestAccountsFilter | undefined |  | Filter largest accounts by whether they are part of the circulating supply

### public InflationGovernor: Object source

Network Inflation (see https://docs.solana.com/implemented-proposals/ed_overview)

#### Properties:

Name | Type | Attribute | Description
foundation | number |  |
foundation_term | number |  |
initial | number |  |
taper | number |  |
terminal | number |  |

### public Info: Object source

Info used to identity validators.

#### Properties:

Name | Type | Attribute | Description
name | string |  | validator name

website

string

- nullable: true

optional, validator website

details

string

- nullable: true

optional, extra information the validator chose to share

keybaseUsername

string

- nullable: true

optional, used to identify validators on keybase.io

### public InitializeNonceParams: Object source

Initialize nonce account system instruction params

#### Properties:

Name | Type | Attribute | Description
noncePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |

### public InitializeStakeParams: Object source

Initialize stake instruction params

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorized | Authorized |  |
lockup | Lockup |  |

### public InstructionType: Object source

#### Properties:

Name | Type | Attribute | Description
(index} | * |  | The Instruction index (from solana upstream program)
(BufferLayout} | * |  | The BufferLayout to use to build data

### public KeyedAccountInfo: Object source

Account information identified by pubkey

#### Properties:

Name | Type | Attribute | Description
accountId | PublicKey |  |
accountInfo | AccountInfo<Buffer> |  |

### public LargestAccountsFilter: 'circulating' | 'nonCirculating' source

Filter for largest accounts query

      'circulating':    Return the largest accounts that are part of the circulating supply
      'nonCirculating': Return the largest accounts that are not part of the circulating supply

### public LeaderSchedule: Object source

Leader schedule (see https://docs.solana.com/terminology#leader-schedule)

### public MessageArgs: Object source

Message constructor arguments

#### Properties:

Name | Type | Attribute | Description
header | MessageHeader |  | The message header, identifying signed and read-only `accountKeys`
accounts | string[] |  | All the account keys used by this transaction
recentBlockhash | Blockhash |  | The hash of a recent ledger block
instructions | CompiledInstruction[] |  | Instructions that will be executed in sequence and committed in one atomic transaction if all succeed.

### public MessageHeader: Object source

The message header, identifying signed and read-only account

#### Properties:

Name | Type | Attribute | Description
numRequiredSignatures | number |  | The number of signatures required for this message to be considered valid. The signatures must match the first `numRequiredSignatures` of `accountKeys`.
numReadonlySignedAccounts: | number |  | The last `numReadonlySignedAccounts` of the signed keys are read-only accounts
numReadonlyUnsignedAccounts | number |  | The last `numReadonlySignedAccounts` of the unsigned keys are read-only accounts

### public NonceInformation: Object source

NonceInformation to be used to build a Transaction.

#### Properties:

Name | Type | Attribute | Description
nonce | Blockhash |  | The current Nonce blockhash
nonceInstruction | TransactionInstruction |  | AdvanceNonceAccount Instruction

### public ParsedAccountData: Object source

Parsed account data

#### Properties:

Name | Type | Attribute | Description
program | string |  | Name of the program that owns this account
parsed | any |  | Parsed account data
space | number |  | Space used by account data

### public ParsedConfirmedTransaction: Object source

A parsed and confirmed transaction on the ledger

#### Properties:

Name | Type | Attribute | Description
slot | number |  | The slot during which the transaction was processed
transaction | ParsedTransaction |  | The details of the transaction
meta | ConfirmedTransactionMeta | null |  | Metadata produced from the transaction
blockTime | number | null | undefined |  | The unix timestamp of when the transaction was processed

### public ParsedConfirmedTransactionMeta: Object source

Metadata for a parsed confirmed transaction on the ledger

#### Properties:

Name | Type | Attribute | Description
fee | number |  | The fee charged for processing the transaction
innerInstructions | Array<ParsedInnerInstruction> |  | An array of cross program invoked parsed instructions
preBalances | Array<number> |  | The balances of the transaction accounts before processing
postBalances | Array<number> |  | The balances of the transaction accounts after processing
logMessages | Array<string> |  | An array of program log messages emitted during a transaction
preTokenBalances | Array<TokenBalance> |  | The token balances of the transaction accounts before processing
postTokenBalances | Array<TokenBalance> |  | The token balances of the transaction accounts after processing
err | object | null |  | The error result of transaction processing

### public ParsedInstruction: Object source

A parsed transaction instruction

#### Properties:

Name | Type | Attribute | Description
program | string |  | Name of the program for this instruction
programId | PublicKey |  | ID of the program for this instruction
parsed | any |  | Parsed instruction info

### public ParsedMessage: Object source

A parsed transaction message

#### Properties:

Name | Type | Attribute | Description
accountKeys | Array<ParsedMessageAccount> |  | Accounts used in the instructions
instructions | Array<ParsedInstruction|PartiallyDecodedInstruction> |  | The atomically executed instructions for the transaction
recentBlockhash | string |  | Recent blockhash

### public ParsedMessageAccount: Object source

A partially decoded transaction instruction

#### Properties:

Name | Type | Attribute | Description
pubkey | PublicKey |  | Public key of the account
accounts | PublicKey |  | Indicates if the account signed the transaction
data | string |  | Raw base-58 instruction data

### public ParsedMessageAccount: Object source

A parsed transaction message account

#### Properties:

Name | Type | Attribute | Description
pubkey | PublicKey |  | Public key of the account
signer | boolean |  | Indicates if the account signed the transaction
writable | boolean |  | Indicates if the account is writable for this transaction

### public ParsedTransaction: Object source

A parsed transaction

#### Properties:

Name | Type | Attribute | Description
signatures | Array<string> |  | Signatures for the transaction
message | ParsedMessage |  | Message of the transaction

### public PerfSample: Object source

A performance sample

#### Properties:

Name | Type | Attribute | Description
slot | number |  | Slot number of sample
numTransactions | number |  | Number of transactions in a sample window
numSlots | number |  | Number of slots in a sample window
samplePeriodSecs | number |  | Sample window in seconds

### public RpcResponseAndContext: Object source

RPC Response with extra contextual information

#### Properties:

Name | Type | Attribute | Description
context | Context |  |
value | T |  | response

### public SendOptions: Object source

Options for sending transactions

#### Properties:

Name | Type | Attribute | Description
skipPreflight | boolean | undefined |  | disable transaction verification step
preflightCommitment | Commitment | undefined |  | preflight commitment level

### public SerializeConfig: Object source

Configuration object for Transaction.serialize()

#### Properties:

Name | Type | Attribute | Description
requireAllSignatures | boolean | undefined |  | Require all transaction signatures be present (default: true)
verifySignatures | boolean | undefined |  | Verify provided signatures (default: true)

### public SignatureResult: Object source

Signature result

### public SignatureStatus: Object source

Signature status

#### Properties:

Name | Type | Attribute | Description
slot | number |  | when the transaction was processed
confirmations | number | null |  | the number of blocks that have been confirmed and voted on in the fork containing `slot` (TODO)
err | TransactionError | null |  | error, if any
confirmationStatus | string | null |  | the transaction's cluster confirmation status, if data available. Possible non-null responses: `processed`, `confirmed`, `finalized`

### public SignatureStatusConfig: Object source

Configuration object for changing query behavior

#### Properties:

Name | Type | Attribute | Description
searchTransactionHistory | boolean |  | enable searching status history, not needed for recent transactions

### public SlotInfo: Object source

Information about the latest slot being processed by a node

#### Properties:

Name | Type | Attribute | Description
slot | number |  | Currently processing slot
parent | number |  | Parent of the current slot
root | number |  | The root block of the current slot's fork

### public SplitStakeParams: Object source

Split stake instruction params

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
splitStakePubkey | PublicKey |  |
lamports | number |  |

### public StakeActivationData: Object source

Stake Activation data

#### Properties:

Name | Type | Attribute | Description
state: | string |  | <string - the stake account's activation state, one of: active, inactive, activating, deactivating
active: | number |  | stake active during the epoch
inactive: | number |  | stake inactive during the epoch

### public StakeAuthorizationType: Object source

#### Properties:

Name | Type | Attribute | Description
(index} | * |  | The Stake Authorization index (from solana-stake-program)

### public StakeInstructionType: 'Initialize' | 'Authorize' | 'AuthorizeWithSeed' | 'Delegate' | 'Split' | 'Withdraw' | 'Deactivate' source

An enumeration of valid StakeInstructionType's

### public Supply: Object source

Supply

#### Properties:

Name | Type | Attribute | Description
total | number |  | Total supply in lamports
circulating | number |  | Circulating supply in lamports
nonCirculating | number |  | Non-circulating supply in lamports
nonCirculatingAccounts | Array<PublicKey> |  | List of non-circulating account addresses

### public SystemInstructionType: 'Create' | 'Assign' | 'Transfer' | 'CreateWithSeed' | 'AdvanceNonceAccount' | 'WithdrawNonceAccount' | 'InitializeNonceAccount' | 'AuthorizeNonceAccount' source

An enumeration of valid SystemInstructionType's

### public TokenAccountBalancePair: Object source

Token address and balance.

#### Properties:

Name | Type | Attribute | Description
address | PublicKey |  | Address of the token account
amount | string |  | Raw amount of tokens as string ignoring decimals
decimals | number |  | Number of decimals configured for token's mint
uiAmount | number |  | Token account as float, accounts for decimals

### public TokenAmount: Object source

Token amount object which returns a token amount in different formats for various client use cases.

#### Properties:

Name | Type | Attribute | Description
amount | string |  | Raw amount of tokens as string ignoring decimals
decimals | number |  | Number of decimals configured for token's mint
uiAmount | number |  | Token account as float, accounts for decimals

### public TransactionCtorFields: Object source

List of Transaction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description

recentBlockhash

Blockhash

- nullable: true

A recent blockhash

feePayer

PublicKey

- nullable: true

The transaction fee payer

signatures

Array<SignaturePubkeyPair>

- nullable: true

One or more signatures

### public TransactionError: Object source

Transaction error

### public TransactionInstructionCtorFields: Object source

List of TransactionInstruction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description

keys

Array<PublicKey>

- nullable: true

programId

PublicKey

- nullable: true

data

Buffer

- nullable: true

### public TransactionSignature: string source

### public TransferParams: Object source

Transfer system transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
toPubkey | PublicKey |  |
lamports | number |  |

### public TransferWithSeedParams: Object source

Transfer with seed system transaction params

#### Properties:

Name | Type | Attribute | Description
fromPubkey | PublicKey |  |
basePubkey | PublicKey |  |
toPubkey | PublicKey |  |
lamports | number |  |
seed | string |  |
programId | PublicKey |  |

### public Version: Object source

Version info for a node

#### Properties:

Name | Type | Attribute | Description
solana-core | string |  | Version of solana-core

### public VoteAccountInfo: Object source

Information describing a vote account

#### Properties:

Name | Type | Attribute | Description
votePubkey | string |  | Public key of the vote account
nodePubkey | string |  | Identity public key of the node voting with this account
activatedStake | number |  | The stake, in lamports, delegated to this vote account and activated
epochVoteAccount | boolean |  | Whether the vote account is staked for this epoch
epochCredits | Array<Array<number>> |  | Recent epoch voting credit history for this voter
commission | number |  | A percentage (0-100) of rewards payout owed to the voter
lastVote | number |  | Most recent slot voted on by this vote account

### public VoteAccountStatus: Object source

A collection of cluster vote accounts

#### Properties:

Name | Type | Attribute | Description
current | Array<VoteAccountInfo> |  | Active vote accounts
delinquent | Array<VoteAccountInfo> |  | Inactive vote accounts

### public WithdrawNonceParams: Object source

Withdraw nonce account system transaction params

#### Properties:

Name | Type | Attribute | Description
noncePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
toPubkey | PublicKey |  |
lamports | number |  |

### public WithdrawStakeParams: Object source

Withdraw stake instruction params

#### Properties:

Name | Type | Attribute | Description
stakePubkey | PublicKey |  |
authorizedPubkey | PublicKey |  |
toPubkey | PublicKey |  |
lamports | number |  |
custodianPubkey | PublicKey |  |